#include<stdio.h>

main()
{
	int x,y,z,n;
	long long int a,b,c;
	long long int d,e,f;
	d=a;
	e=b;
	f=c;
	scanf("%lld%lld%lld",&a,&b,&c);
	long long max=b;
	if(a>b)
	{
		max=a;
		n=1;
	}
	if(c>a)
	{
		max=c;

	}
	while(max/d<1)
	{
		d=d*10;
	}
	
	while(max/e<1)
	{
		e=e*10;
	}
	
	while(max/f<1)
	{
		f=f*10;
	}
	if(f>e && d>f)
	{
	printf("%lld%lld%lld",&c,&a,&b);
	}
	else if(e>f && d>e)
	{
	printf("%lld%lld%lld",&a,&b,&c);
	
	}
	else if(d>f && e>d)
	{
	printf("%lld%lld%lld",&b,&a,&c);
	
	}
	else if(d>e && d>f)
	{
	printf("%lld%lld%lld",&a,&b,&c);
	
	}

	
	
}